version: '2'

services:
    xo-js-lint:
        build: linting/js
        image: registry.gitlab.com/patek-devs/patek.cz/xo-lint
        command: . --env=browser --extend=/eslintrc.yml
        volumes:
            - ./themes/patek/assets/js:/src:ro
            - ./linting/js/eslintrc.yml:/eslintrc.yml:ro
    xo-html-lint:
        image: registry.gitlab.com/patek-devs/patek.cz/xo-lint
        command: \*.html --plugin=html --extension=html
        volumes: 
            - ./:/src:ro
    sass-lint:
        build: linting/sass
        image: registry.gitlab.com/patek-devs/patek.cz/sass-lint
        command: ./**/*.scss --config /sass-lint.yml
        volumes:
            - ./themes/patek/assets/css:/src:ro
            - ./linting/sass/sass-lint.yml:/sass-lint.yml:ro

